Qt 5.11 | Qt 3D | C++ Classes | QClock

Qt 5.11.3 Reference Documentation

# QClock Class

(Qt3DAnimation::QClock)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- playbackRate : double

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QClock(Qt3DCore::QNode *parent = nullptr)
virtual | ~QClock()
double | playbackRate() const
void | setPlaybackRate(double playbackRate)

- 13 public functions inherited from Qt3DCore::QNode

## Signals

void | playbackRateChanged(double playbackRate)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QClock(Qt3DAnimation::QClockPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode

## Property Documentation

### playbackRate : double

The playback speed of the animation.

Access functions:

double | playbackRate() const
void | setPlaybackRate(double playbackRate)

Notifier signal:

void | playbackRateChanged(double playbackRate)

## Member Function Documentation

### QClock::QClock(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClock.

### `[protected]` QClock::QClock(Qt3DAnimation::QClockPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClock.

### `[virtual]` QClock::~QClock()

Destroys the instance of QClock. The destructor is virtual.